BEGIN
   IF NOT EXISTS (SELECT * FROM TipiDocumento
                   WHERE IDTipoDocumento = 116)
   BEGIN
       INSERT [dbo].[TipiDocumento] ([IDTipoDocumento], [TipoBollaInforiv], [Descrizione], [NomeContatore], [ValorizzazioneMagazzino], [ReportFileName], [Riepilogativa], [Contabile], [IDTipiSoggetto], [AggiornaGiacenza], [IDTipoDocSorgente], [GruppoInforiv], [IDDL], [FAEL_TipoDocumento], [Nascosto]) VALUES (116, N' ', N'Bolla di Scarico', N'NumeroDDT', N'-', N'ReportFattura.rpt', 0, 0, N'FO', 1, NULL, NULL, 3, N'', 1)
   END
END


BEGIN
   IF NOT EXISTS (SELECT * FROM TipiDocumento
                   WHERE IDTipoDocumento = 117)
   BEGIN
       INSERT [dbo].[TipiDocumento] ([IDTipoDocumento], [TipoBollaInforiv], [Descrizione], [NomeContatore], [ValorizzazioneMagazzino], [ReportFileName], [Riepilogativa], [Contabile], [IDTipiSoggetto], [AggiornaGiacenza], [IDTipoDocSorgente], [GruppoInforiv], [IDDL], [FAEL_TipoDocumento], [Nascosto]) VALUES (117, N'', N'BOLLA INVENTARIO', N'IDInventarioReale', N'+', N'ReportFattura.rpt', 0, 0, N'FO', 1, 117, N'RR', NULL, N'', 1)
   END
END


BEGIN
   IF NOT EXISTS (SELECT * FROM TipiDocumento
                   WHERE IDTipoDocumento = 118)
   BEGIN
       INSERT [dbo].[TipiDocumento] ([IDTipoDocumento], [TipoBollaInforiv], [Descrizione], [NomeContatore], [ValorizzazioneMagazzino], [ReportFileName], [Riepilogativa], [Contabile], [IDTipiSoggetto], [AggiornaGiacenza], [IDTipoDocSorgente], [GruppoInforiv], [IDDL], [FAEL_TipoDocumento], [Nascosto]) VALUES (118, N' ', N'Nota di Credito', N'NumeroNotaCredito', N'+', N'ReportFattura.rpt', 0, 1, N'CL', 1, 0, N'BC', NULL, N'N', 0)
   END
END


BEGIN
   IF NOT EXISTS (SELECT * FROM TipiDocumento
                   WHERE IDTipoDocumento = 119)
   BEGIN
       INSERT [dbo].[TipiDocumento] ([IDTipoDocumento], [TipoBollaInforiv], [Descrizione], [NomeContatore], [ValorizzazioneMagazzino], [ReportFileName], [Riepilogativa], [Contabile], [IDTipiSoggetto], [AggiornaGiacenza], [IDTipoDocSorgente], [GruppoInforiv], [IDDL], [FAEL_TipoDocumento], [Nascosto]) VALUES (119, N' ', N'Bolla scarico Interno', N'NumeroDDT', N'-', N'ReportFattura.rpt', 0, 0, N'FO', 1, NULL, NULL, 3, N'', 1)
   END
END


BEGIN
   IF NOT EXISTS (SELECT * FROM TipiDocumento
                   WHERE IDTipoDocumento = 120)
   BEGIN
       INSERT [dbo].[TipiDocumento] ([IDTipoDocumento], [TipoBollaInforiv], [Descrizione], [NomeContatore], [ValorizzazioneMagazzino], [ReportFileName], [Riepilogativa], [Contabile], [IDTipiSoggetto], [AggiornaGiacenza], [IDTipoDocSorgente], [GruppoInforiv], [IDDL], [FAEL_TipoDocumento], [Nascosto]) VALUES (120, N'  ', N'Aggiustamento Inventario', N' ', N'+', N'ReportFattura.rpt', 0, 0, N'FO', 1, 120, N'RR', NULL, N'', 1)
   END
END




